# geos::util::TopologyException Class Reference

Indicates an invalid or inconsistent topological situation encountered during processing. More...

`#include <geos.h>`

Inheritance diagram for geos::util::TopologyException:

List of all members.

## Public Member Functions

| TopologyException (const std::string &msg)
| TopologyException (const std::string &msg, const geom::Coordinate &newPt)
geom::Coordinate & | getCoordinate ()

## Detailed Description

Indicates an invalid or inconsistent topological situation encountered during processing.

The documentation for this class was generated from the following file:

- TopologyException.h